math-fun {copula} | R Documentation

## Sinc, Zolotarev's, and Other Mathematical Utility Functions

### Description

`sinc(x)` computes the sinc function s(x) = sin(x)/x for x != 0 and s(0) = 1, such that s() is continuous, also at x = 0.

`A..Z(x, a)` computes Zolotarev's function to the power `1-a`.

### Usage

    sinc(x)
    A..Z(x, alpha, I.alpha = 1 - alpha)

### Arguments

`x` | `numeric` argument in [0,pi], typically a vector.
`alpha` | parameter in (0,1].
`I.alpha` | must be `= 1 - alpha`, maybe more accurately when `alpha` is very close to 1.

### Details

For more details about Zolotarev's function, see, for example, Devroye (2009).

### Value

`A..Z(x,alpha)` is A~Z(x,alpha), defined as

sin(alpha*x)^alpha * sin((1-alpha)*x)^(1-alpha) / sin(x), x in [0,pi],

where alpha in (0,1] is `alpha`.

### References

Devroye, L. (2009) Random variate generation for exponentially and polynomially tilted stable distributions, ACM Transactions on Modeling and Computer Simulation 19, 18, 1–20.

### See Also

`retstable` internally makes use of these functions.

### Examples

    curve(sinc, -15,25); abline(h=0,v=0, lty=2)
    curve(A..Z(x, 0.25), xlim = c(-4,4),
          main = "Zolotarev's function A(x) ^ 1-alpha")

[Package copula version 0.999-15 Index]